## com.google.appengine.api.files
Class LockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.google.appengine.api.files.LockException

All Implemented Interfaces:
  java.io.Serializable

    public class LockException

extends java.io.IOException

An exception that indicates one of two possible cases:

1. An exclusive lock on a file is held by a different App Engine request and so the file may not be accessed in this request
2. This request is trying to acquire an exclusive lock on a file but the file is already opened in a different App Engine request

See Also:
  Serialized Form

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`